Loading...
Searching...
No Matches
etl::aligned_storage< Length, Alignment >::type Struct Reference

## Public Member Functions

template<typename T>
| operator T& ()
| Convert to T reference.
template<typename T>
| operator const T & () const
| Convert to const T reference.
template<typename T>
| operator T* ()
| Convert to T pointer.
template<typename T>
| operator const T * () const
| Convert to const T pointer.
template<typename T>
T & | get_reference ()
| Get address as T reference.
template<typename T>
const T & | get_reference () const
| Get address as const T reference.
template<typename T>
T * | get_address ()
| Get address as T pointer.
template<typename T>
const T * | get_address () const
| Get address as const T pointer.

## Public Attributes

union { |
char data [Length] |
etl::type_with_alignment< Alignment >::type etl_alignment_type |
}; |

The documentation for this struct was generated from the following file:

- include/etl/alignment.h